Package org.jbpm.runtime.manager.impl

## Class SynchronizedRuntimeImpl

- java.lang.Object
- - org.jbpm.runtime.manager.impl.RuntimeEngineImpl
  - - org.jbpm.runtime.manager.impl.SynchronizedRuntimeImpl

- All Implemented Interfaces:
    `org.kie.api.runtime.manager.RuntimeEngine`, `org.kie.internal.runtime.manager.Disposable`, `org.kie.internal.runtime.manager.InternalRuntimeEngine`

      public class SynchronizedRuntimeImpl
      extends RuntimeEngineImpl

  This is an extension of the regular `RuntimeEngine` implementation strictly dedicated to `SingletonRuntimeManager` to ensure that access to `RuntimeEngine` resources, such as `KieSession` and `TaskService`, remains synchronized.

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.runtime.manager.impl.RuntimeEngineImpl

      `manager`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SynchronizedRuntimeImpl​(AbstractRuntimeManager manager, org.kie.api.runtime.KieSession ksession, org.kie.internal.task.api.InternalTaskService taskService)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.kie.api.task.TaskService` | `getTaskService()` |

    - ### Methods inherited from class org.jbpm.runtime.manager.impl.RuntimeEngineImpl

      `addDisposeListener, dispose, getAuditService, getContext, getKieSession, getKieSessionId, getLazyKieSessionId, getManager, internalGetKieSession, internalSetKieSession, isAfterCompletion, isDisposed, setAfterCompletion, setContext, setManager, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SynchronizedRuntimeImpl

          public SynchronizedRuntimeImpl​(AbstractRuntimeManager manager,
                                         org.kie.api.runtime.KieSession ksession,
                                         org.kie.internal.task.api.InternalTaskService taskService)

  - ### Method Detail

    - #### getTaskService

          public org.kie.api.task.TaskService getTaskService()

      Specified by:
        `getTaskService` in interface `org.kie.api.runtime.manager.RuntimeEngine`
      Overrides:
        `getTaskService` in class `RuntimeEngineImpl`